unit Nastaveni;

{$mode ObjFPC}{$H+}

interface

uses
  Classes, SysUtils, Graphics;

procedure setPocetDam(pocet: integer);
function getPocetDam: integer;

procedure setBarvaDam(barva: TColor);
function getBarvaDam: TColor;

procedure setBarvaCar(barva: TColor);
function getBarvaCar: TColor;

property PocetDam: integer read getPocetDam write setPocetDam;

property BarvaCar: TColor read getBarvaCar write setBarvaCar;
property BarvaDam: TColor read getBarvaDam write setBarvaDam;

procedure VychoziNastaveni;

implementation

var
  FPocetDam: integer;
  FBarvaDam: TColor;
  FBarvaCar: TColor;

const
  vychoziPocetDam = 4;
  vychoziBarvaDam: TColor = clRed;
  vychoziBarvaCar: TColor = clBlack;

procedure setPocetDam(pocet: integer);
begin
  FPocetDam:=pocet;
end;

function getPocetDam: integer;
begin
  Result := FPocetDam;
end;

procedure setBarvaDam(barva: TColor);
begin
  FBarvaDam:=barva;
end;

function getBarvaDam: TColor;
begin
  Result := FBarvaDam;
end;

procedure setBarvaCar(barva: TColor);
begin
  FBarvaCar:=barva;
end;

function getBarvaCar: TColor;
begin
  Result := FBarvaCar;
end;

procedure VychoziNastaveni;
begin
  PocetDam:=vychoziPocetDam;
  FBarvaDam := vychoziBarvaDam;
  FBarvaCar:=vychoziBarvaCar;
end;

initialization

VychoziNastaveni;

end.

