program verse;

uses Classes, SysUtils;

const kolik = 3;

var
  muzeKocka, muzePes, muzePrset: PRTLEvent;

type
  TVers = class (TThread)
    private
      textVerse: string;
      muzuJa, muzeDalsi: PRTLEvent;
    public
      constructor Create(txt: string; moje, dalsi: PRTLEvent);
      procedure Execute; override;
  end;

constructor TVers.Create(txt: string; moje, dalsi: PRTLEvent);
begin
  textVerse:=txt;
  muzuJa := moje;
  muzeDalsi:=dalsi;
  FreeOnTerminate:=false;
  inherited Create(false);
end;

procedure TVers.Execute;
var i: integer;
begin
  for i := 1 to kolik do
  begin
    RTLEventWaitFor(muzuJa);
    writeln(textVerse);
    RTLEventSetEvent(muzeDalsi);
  end;
end;

var
  pes, kocka, prset: TVers;

procedure VytvorUdalosti;
begin
   muzeKocka:=RTLEventCreate;
   muzePes:=RTLEventCreate;
   muzePrset:=RTLEventCreate;
end;

procedure VytvorVlakna;
begin
  pes := TVers.Create('Pes oknem'#13#10'Pes oknem',  muzePes, muzePrset);
  kocka := TVers.Create('Kocka leze dirou',  muzeKocka, muzePes);
  prset := TVers.Create('Nebude-li prset, nezmoknem', muzePrset, muzeKocka);
end;

procedure ZrusVlakna;
begin
   pes.Free; kocka.Free; prset.Free;
end;


begin
  VytvorUdalosti;
  VytvorVlakna;
  writeln('Pejme veichni sborem:');
  RTLEventSetEvent(muzeKocka);
  pes.WaitFor;
  kocka.WaitFor;
  prset.WaitFor;
  ZrusVlakna;
end.

